Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dstemr

scipy.linalg.lapack.dstemr(d, e, range, vl, vu, il, iu[, compute_v, lwork, liwork, overwrite_d]) = <fortran function dstemr>

  Wrapper for `dstemr`.

  Parameters:
    d input rank-1 array(‘d’) with bounds (n)
    e input rank-1 array(‘d’) with bounds (n)
    range input int
    vl input float
    vu input float
    il input int
    iu input int
  Returns:
    m int
    w rank-1 array(‘d’) with bounds (n)
    z rank-2 array(‘d’) with bounds (n,n)
    info int
  Other Parameters:
    overwrite_d input int, optional

      Default: 0

    compute_v input int, optional

      Default: 1

    lwork input int, optional

      Default: max((compute_v?18*n:12*n),1)

    liwork input int, optional

      Default: (compute_v?10*n:8*n)